#include<bits/stdc++.h>
using namespace std;
int main(){
    int n;
    cin>>n;
    int X[n]={0};
    int Y[n]={0};
    int Z[n]={0};
    for (int i=0; i<n; i++){
        cin>>X[i];
    }
    for (int i=0; i<n; i++){
        cin>>Y[i];
    }
    for (int i=0; i<n; i++){
        cin>>Z[i];
    }
    int b=0;
    for(int i=0; i<n; i++){
        for(int j=0; j<n; j++){
            if(X[i]==Y[Z[j]]){
                b++;
            }
        }
    }
    cout<<b;
}